This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 782527 - Propose that you turn on PrivateTmp=true in service file for psad
Propose that you turn on PrivateTmp=true in service file for psad
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: psad (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PrivateTmp
  Show dependency treegraph
 
Reported: 2012-01-17 10:57 EST by Daniel Walsh
Modified: 2012-02-07 12:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 12:00:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for /usr/sbin/fwcheck_psad (663 bytes, patch)
2012-02-07 09:52 EST, Šimon Lukašík
no flags Details | Diff

  None (edit)
Description Daniel Walsh 2012-01-17 10:57:06 EST
I would like to propose using PrivateTmp for psad systemd unit file
This should make the use of /tmp directory more secure
and avoid users from being able to potentially effect it.

http://fedoraproject.org/wiki/Features/ServicesPrivateTmp
Comment 1 Daniel Walsh 2012-02-06 15:46:07 EST
Any change on this bug.  We are coming up to Feature Freeze, and would like some comment on this bug.

If you do not believe this application uses /tmp than please comment on this and close the bug.  

If you believe this application needs to use /tmp to communicate with other applications or users then you can close this bug with that comment.

If your app does not use systemd, then close this bug with that comment.

If you have no idea, then please add a comment, and change the bug to assigned.

I need to update the status on this feature.


Thanks for your help.
Comment 2 Šimon Lukašík 2012-02-07 09:44:30 EST
(In reply to comment #1)
> If you do not believe this application uses /tmp than please comment on this
> and close the bug.  
> 

Psad writes to /tmp. It uses perl-IPTables-Parse which by default creates
/tmp/ipt.out and /tmp/ipt.err.

This behaviour, I believe, can be avoided.

> If you believe this application needs to use /tmp to communicate with other
> applications or users then you can close this bug with that comment.
> 
> If your app does not use systemd, then close this bug with that comment.
> 

Psad have no systemd unit file yet.
Comment 3 Šimon Lukašík 2012-02-07 09:52:25 EST
Created attachment 559974 [details]
patch for /usr/sbin/fwcheck_psad

With this patch Psad daemon will no longer create /tmp/ipt.* files.
Comment 4 Peter Vrabec 2012-02-07 12:00:42 EST
thnx. a lot Simon.

Note You need to log in before you can comment on or make changes to this bug.